<?php

namespace App\Models\Friends;

use App\Models\User\UserModel;
use Illuminate\Database\Eloquent\Model;

class PairContactApply extends Model
{
    protected $table = "pair_contact_applies";

    public function sendUser()
    {
        return $this->belongsTo(UserModel::class, 'send_uid', 'uid');
    }

    public function receiveUser()
    {
        return $this->belongsTo(UserModel::class, 'receive_uid', 'uid');
    }
}
